cURL
curl --request GET \
--url https://api.recoupable.com/api/x/search \
--header 'x-api-key: <api-key>'import requests
url = "https://api.recoupable.com/api/x/search"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.recoupable.com/api/x/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tweets": [
{
"id": "<string>",
"text": "<string>",
"username": "<string>",
"timestamp": 123,
"createdAt": "<string>",
"isReply": true,
"isRetweet": true,
"likes": 123,
"retweetCount": 123,
"replies": 123,
"photos": [
{
"id": "<string>",
"url": "<string>"
}
],
"videos": [
{
"id": "<string>",
"preview": "<string>",
"url": "<string>"
}
],
"urls": [
"<string>"
],
"permanentUrl": "<string>",
"quotedStatusId": "<string>",
"inReplyToStatusId": "<string>",
"hashtags": [
"<string>"
]
}
]
}{
"status": "error",
"message": "<string>"
}X (Twitter)
Search Tweets
Search for tweets using the Twitter Search API, powered by agent-twitter-client (no Twitter API key required). Supports various search modes including Top, Latest, Photos, Videos, and Users.
GET
/
api
/
x
/
search
cURL
Authorizations
Your Recoup API key. Learn more.
Query Parameters
The search query. Any Twitter-compatible query format can be used (e.g., '#nodejs', 'from:username', etc.)
The maximum number of tweets to return
The category filter to apply to the search
Available options:
Top, Latest, Photos, Videos, Users ⌘I
